package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMerchantBUserStatus {

    VALID(0, "有效/绑定"),
    INVALID(1, "无效/未绑定"),
    ;

    public static EnumMerchantBUserStatus getEnum(Integer code) {
        for (EnumMerchantBUserStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMerchantBUserStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
